import { SchemaObject, ReferenceObject } from "openapi3-ts";
export declare enum DataType {
    string = "string",
    number = "number",
    integer = "integer",
    boolean = "boolean",
    array = "array",
    object = "object"
}
export declare namespace DataType {
    function defaultValue(schema: SchemaObject): any;
    function getStringDefaultValue(schema: SchemaObject): string;
}
export declare const isArray: (property: SchemaObject) => property is SchemaObject & {
    items: SchemaObject | ReferenceObject;
};
export declare const isObject: (schema: SchemaObject) => schema is SchemaObject & {
    type: "object";
};
export declare const isAllOf: (schema: SchemaObject) => schema is SchemaObject & {
    allOf: (SchemaObject | ReferenceObject)[];
};
export declare const isOneOf: (schema: SchemaObject) => schema is SchemaObject & {
    oneOf: (SchemaObject | ReferenceObject)[];
};
export declare const isAnyOf: (schema: SchemaObject) => schema is SchemaObject & {
    anyOf: (SchemaObject | ReferenceObject)[];
};
export declare const isReferenceObject: (schema: SchemaObject | ReferenceObject) => schema is ReferenceObject;
